/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package métiers;

import java.util.ArrayList;
import métiers.Commande;
import métiers.Instrument;

/**
 *
 * @author famille Thevenot
 */
public class Entreprise {
    private String raisonSociale;
    private ArrayList<Commande> lesCommandes = new ArrayList<>();
    private ArrayList<Instrument> lesInstruments = new ArrayList<>();
    
    public Entreprise(String raisonSociale) {
        this.raisonSociale = raisonSociale;
                
         Instrument instr1=new Instrument(23,"Piano droit",3, 8300f);
         Instrument instr2=new Instrument(54,"Violon Alto",5, 105f);
         Instrument instr3=new Instrument(67,"Guitare Classique",8, 575f);
         lesInstruments.add(instr3);
         lesInstruments.add(instr2);
         lesInstruments.add(instr1);
    }

    public String getRaisonSociale() {
        return raisonSociale;
    }

    public void setRaisonSociale(String raisonSociale) {
        this.raisonSociale = raisonSociale;
    }

    @Override
    public String toString() {
        return "Entreprise{" + "raisonSociale=" + raisonSociale + '}';
    }
    
    
    public void ajouterCommande(Commande uneCommande){
        lesCommandes.add(uneCommande);
    }
    
    public void supprimerCommande(Commande uneCommande){
        //parcours pour supprimer les instruments de la commande
        
        //suppression de la commande
        lesCommandes.remove(uneCommande);
    }
    
    public Commande rechercherCommande(int noCom){
        Commande uneCommande = null;
        for(Commande laCommande : lesCommandes){
            if(laCommande.getNoCom() == noCom){
                uneCommande = laCommande;
                break;
            }
        }
        return uneCommande;
    }
}
